petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESLineSearchGetNorms

Gets the norms for for X, Y, and F.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetNorms(SNESLineSearch linesearch, PetscReal * xnorm, PetscReal * fnorm, PetscReal * ynorm)

### Input Parameters

linesearch -linesearch context

### Output Parameters

| xnorm | - The norm of the current solution
| fnorm | - The norm of the current function
| ynorm | - The norm of the current update

### Notes

This function is mainly called from SNES implementations.

### See Also

SNESLineSearchSetNorms() SNESLineSearchGetVecs()

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages